import { Component } from '@angular/core';
import { Router } from '@angular/router';

@Component({
  selector: 'app-home',
  templateUrl: './home.component.html',
  styleUrls: ['./home.component.scss']
})
export class HomeComponent {
  selectedOption: string = 'frontend';
  title = "临时tittle"
  constructor(private router:Router){}
  // 添加其他需要的逻辑和属性
  lessonName = "Popular routes"
  lessonList = [
    {title1:"what a good day",name:"大前端",logo:"https://angular.cn/assets/images/logos/angular/angular.svg",like:12366,author:"ggg", somedetails:"阳光真不好，不走走",desc:`课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍`,isEnabled:true},
    {title1:"what a bad day",name:"微服务",like:25665,author:"aaa",somedetails:"阳光真不好，不走走", desc:`课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍`,isEnabled:true},
    {title1:"what a sad day",name:"数据库",like:25665,author:"bbb", somedetails:"阳光真好，出去骑行",desc:`课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍`,isEnabled:true},
    {title1:"what a great day",name:"人工智能",like:1356999,author:"ccc", somedetails:"阳光真好，出去玩",desc:`课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍`,isEnabled:true},
    {title1:"what a wonderful day",name:"区块链",like:1356999,author:"ddd",somedetails:"阳光真好，出去跑跑", desc:`课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍`,isEnabled:true},
    {title1:"lovely",name:"DevOps",like:3944999,author:"lty",somedetails:"阳光真好，呆家里", desc:`课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍课程介绍`,isEnabled:true},
    {title1:"fine",name:"DevOps",like:3944999,author:"gda", desc:`骑行`,somedetails:"阳光真好，出去走走",isEnabled:false},
  ]

  // 路由传参：通过Router服务，携带查询参数，跳转至课程详情页
  goDetail(lesson:any){
    this.router.navigate(["/lesson/detail"],{
      queryParams:lesson
    })
  }
  toK(value:string|number){
    value = Number(value)
    if(value>1000*1000){
      return (value / 1000 / 1000).toFixed(2) + "m"
    }
    if(value>1000){
      return (value / 1000).toFixed(2) + "k"
    }
    return value
  }
}
